within projet_usine_maremotrice;

model Usine_projet
  
  // Composants
  La_Rance la_Rance annotation(
    Placement(transformation(origin = {88, -4}, extent = {{-10, -10}, {10, 10}})));
  Mer mer annotation(
    Placement(transformation(origin = {-78, -4}, extent = {{-10, -10}, {10, 10}})));
  composants.Decision_Usine decision_Usine annotation(
    Placement(transformation(origin = {0, 54}, extent = {{-10, -10}, {10, 10}})));
  composants.Vannes vannes annotation(
    Placement(transformation(origin = {4, 14}, extent = {{-10, -10}, {10, 10}})));
  interfaces.Capteur capteur annotation(
    Placement(transformation(origin = {-66, 40}, extent = {{-10, -10}, {10, 10}})));
  interfaces.Capteur capteur_rance annotation(
    Placement(transformation(origin = {78, 42}, extent = {{-10, -10}, {10, 10}})));
  composants.Turbine turbine annotation(
    Placement(transformation(origin = {8, -26}, extent = {{-10, -10}, {10, 10}})));
equation
  connect(mer.port_mer, capteur.port_capteur) annotation(
    Line(points = {{-88, -4}, {-92, -4}, {-92, 40}, {-76, 40}}));
  connect(capteur.y, decision_Usine.h_mer) annotation(
    Line(points = {{-56, 40}, {-22, 40}, {-22, 48}, {-10, 48}}, color = {0, 0, 127}));
  connect(decision_Usine.h_rance, capteur_rance.y) annotation(
    Line(points = {{-10, 60}, {-22, 60}, {-22, 70}, {88, 70}, {88, 42}}, color = {0, 0, 127}));
  connect(capteur_rance.port_capteur, la_Rance.port_rance) annotation(
    Line(points = {{68, 42}, {58, 42}, {58, -4}, {78, -4}}));
  connect(turbine.rance, la_Rance.port_rance) annotation(
    Line(points = {{18, -26}, {58, -26}, {58, -4}, {78, -4}}));
  connect(decision_Usine.y_vanne, vannes.q_impose_vannes) annotation(
    Line(points = {{10, 52}, {18, 52}, {18, 28}, {-12, 28}, {-12, 20}, {-4, 20}}, color = {0, 0, 127}));
  connect(decision_Usine.y_turbine, turbine.in_turbine) annotation(
    Line(points = {{10, 58}, {32, 58}, {32, -10}, {-12, -10}, {-12, -20}, {-2, -20}}, color = {0, 0, 127}));
  connect(vannes.mer_vannes, mer.port_mer) annotation(
    Line(points = {{-6, 14}, {-92, 14}, {-92, -4}, {-88, -4}}));
  connect(turbine.mer, mer.port_mer) annotation(
    Line(points = {{-2, -26}, {-92, -26}, {-92, -4}, {-88, -4}}));
  connect(vannes.rance_vannes, la_Rance.port_rance) annotation(
    Line(points = {{14, 14}, {78, 14}, {78, -4}}));

annotation(
    Diagram);
end Usine_projet;
